Name:             maven-checkstyle-plugin
Version:          2.10
Release:          %mkrel 2
Summary:          Plugin that generates a report regarding the code style used by the developers
Group:            Development/Java
License:          ASL 2.0
URL:              http://maven.apache.org/plugins/%{name}

Source0:          http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch0:           %{name}-maven-core-dep.patch

BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    maven-plugin-plugin >= 2.5.1
BuildRequires:    plexus-containers-component-metadata >= 1.5.1
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-compiler-plugin >= 2.0.2
BuildRequires:    maven-jar-plugin >= 2.2
BuildRequires:    maven-install-plugin >= 2.2
BuildRequires:    checkstyle >= 5.6
BuildRequires:    plexus-cli >= 1.2
BuildRequires:    maven-artifact-manager 
BuildRequires:    plexus-resources
BuildRequires:    maven-doxia-sitetools
BuildRequires:    maven-doxia-sink-api
BuildRequires:    mvn(javax.mail:mail)
BuildRequires:    mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)

Requires:         maven
Requires:         maven-shared-reporting-impl >= 2.0.4.3
Requires:         maven-doxia-sink-api
Requires:         maven-doxia-sitetools >= 1.0
Requires:         maven-doxia-tools >= 1.0.2
Requires:         plexus-containers-container-default
Requires:         plexus-resources
Requires:         plexus-utils >= 1.5.6
Requires:         plexus-velocity >= 1.1.7
Requires:         checkstyle >= 5.6
Requires:         velocity >= 1.5
Requires:         apache-commons-collections >= 3.2.1
Requires:         junit >= 3.8.2
Requires:         maven-plugin-testing-harness >= 1.2

Requires:         java >= 1:1.6.0
Requires:         jpackage-utils

Provides:         maven2-plugin-checkstyle = %{version}-%{release}
Obsoletes:        maven2-plugin-checkstyle <= 0:2.0.8

%description
Generates a report on violations of code style and optionally fails the build
if violations are detected.

%package javadoc
Group:            Documentation
Summary:          Javadoc for %{name}
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch0 

%build
# During testing, component descriptors can't be found. 
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.failure.ignore

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}


%files
%doc LICENSE NOTICE
%{_javadir}/*
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}




%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 2.10-2.mga4
+ Revision: 565373
- Fix BuildRequires
- Fix buildrequires

* Mon Nov 04 2013 dmorgan <dmorgan> 2.10-1.mga4
+ Revision: 549418
- New version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 2.9.1-4.mga4
+ Revision: 453014
- Fix Requires/BuildRequires

* Mon Jul 08 2013 dmorgan <dmorgan> 2.9.1-3.mga4
+ Revision: 451255
- Install NOTICE files

* Sat Jan 12 2013 umeabot <umeabot> 2.9.1-2.mga3
+ Revision: 359585
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 10 2012 dmorgan <dmorgan> 2.9.1-1.mga3
+ Revision: 269135
- New version 2.9.1

* Tue Jan 03 2012 gil <gil> 2.8-1.mga2
+ Revision: 189818
- update to 2.8
- update to 2.8
- update to 2.8
- update to 2.8

* Sun Dec 25 2011 dmorgan <dmorgan> 2.7-1.mga2
+ Revision: 187573
- Updated to 2.7 + Guidelines fixes  (Fedora)
- Clean spec file

* Wed Jul 20 2011 dmorgan <dmorgan> 2.6-1.mga2
+ Revision: 127340
- Add comment about groupid change

  + gil <gil>
    - imported package maven-checkstyle-plugin


* Sun Jun 19 2011 gil <gil> 2.6-0.%%mkrel
- initial rpm